%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}

%define _default_patch_fuzz 2

Name:           mingw32-gtk-vnc
Version:        0.4.0
Release:        1%{?dist}
Summary:        MinGW Windows port of VNC client GTK widget

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://live.gnome.org/gtk-vnc
Source:         http://ftp.gnome.org/pub/GNOME/sources/gtk-vnc/0.4/gtk-vnc-%{version}.tar.bz2
# XXX need to add the SASL patches too, but this is
# blocking on a mingw32-cyrus-sasl port or equiv
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 40
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-iconv
BuildRequires:  mingw32-gnutls
BuildRequires:  mingw32-gtk2
BuildRequires:  pkgconfig
BuildRequires:  intltool

Requires:       pkgconfig

%package -n mingw32-gvnc
Summary: MinGW Windows port of VNC GObject

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%description -n mingw32-gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%prep
%setup -q -n gtk-vnc-%{version}

%build
%{_mingw32_configure} --without-python --disable-static --without-sasl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/gvnccapture.exe
rm -f $RPM_BUILD_ROOT%{_mingw32_mandir}/man1/gvnccapture.1*

%find_lang gtk-vnc

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gtk-vnc.lang
%defattr(-,root,root)
%doc COPYING.LIB
%{_mingw32_bindir}/libgtk-vnc-1.0-0.dll
%{_mingw32_libdir}/libgtk-vnc-1.0.dll.a
%{_mingw32_libdir}/libgtk-vnc-1.0.la
%{_mingw32_libdir}/pkgconfig/gtk-vnc-1.0.pc
%{_mingw32_includedir}/gtk-vnc-1.0

%files -n mingw32-gvnc
%defattr(-,root,root)
%{_mingw32_bindir}/libgvnc-1.0-0.dll
%{_mingw32_libdir}/libgvnc-1.0.dll.a
%{_mingw32_libdir}/libgvnc-1.0.la
%{_mingw32_libdir}/pkgconfig/gvnc-1.0.pc
%{_mingw32_includedir}/gvnc-1.0

%changelog
* Sun Jul 11 2010 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-1
- Update to 0.4.0 release
- Remove unsupported example program

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar  6 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.8-5
- Fix relative mouse handling to avoid 'invisible wall'

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-3
- Downgrade mingw32-filesystem version so it can still build on F-10.

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-2
- Needs mingw32-filesystem with the pkg-config library path fix.
- Added optional BRs suggested by auto-buildrequires.
- Include the license file.

* Tue Feb  3 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.8-1
- Update to 0.3.8

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.4.20081030hg
- Requires pkgconfig.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.3.20081030hg
- Use _smp_mflags.
- Disable static library.
- Rebuild libtool.

* Thu Oct 30 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.2.20081030hg
- Add Dan's fd/socket fix for Windows.

* Thu Oct 30 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.1.20081030hg
- Upgrade to current version in Mercurial (pre-release of 0.3.8).
- More MinGW patches.

* Fri Oct 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.7-3
- Missing BRs discovered by mock.
- Added description section.

* Thu Oct  9 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.7-2
- Initial RPM release.
